1. Si vous venez d'arriver sur le forum et que vous êtes un peu perdus, cliquez ici !
    Rejeter la notice

Problème avec le lancement de modpack

Discussion dans 'Problème avec les mods' créé par loupgabpower, 1 Août 2020.

  1. loupgabpower

    loupgabpower Nouveau

    Inscrit:
    1 Août 2020
    Messages:
    8
    Points:
    0
    Sexe:
    Homme
    Bonjour quand je veut lancer un modpack avec twich il m'écrit ceci "
    ava HotSpot(TM) 64-Bit Server VM warning: Ignoring option PermSize; support was removed in 8.0
    Exception in thread "main" java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$AppClassLoader and java.net.URLClassLoader are in module java.base of loader 'bootstrap')
    at net.minecraft.launchwrapper.Launch.<init>(Launch.java:34)
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28)"
    Ps:Je suis sur macBook Catalina
     
  2. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 482
    Points:
    229
    Sexe:
    Homme
    Bonjour,
    Tu as Java 11 ou plus récent, il faudrait le désinstaller puis installer Java 8, les anciennes versions de forge ne fonctionnant qu'avec java 8.
     
  3. loupgabpower

    loupgabpower Nouveau

    Inscrit:
    1 Août 2020
    Messages:
    8
    Points:
    0
    Sexe:
    Homme
    Super Merci, Je viens de voir ton message :)
     
  4. loupgabpower

    loupgabpower Nouveau

    Inscrit:
    1 Août 2020
    Messages:
    8
    Points:
    0
    Sexe:
    Homme
    Rebonjour ça ne marche toujours pas Je vous envoie tout les logs et le launcher marque loading version , je vous envoie une capture d'écran .
     

    Fichiers attachés:

  5. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 482
    Points:
    229
    Sexe:
    Homme
    Peux-tu envoyer un copier/coller des logs complet ?
    La partie utile de l'erreur n'est pas présente sur cette capture d'écran.
     
  6. loupgabpower

    loupgabpower Nouveau

    Inscrit:
    1 Août 2020
    Messages:
    8
    Points:
    0
    Sexe:
    Homme
    [09:01:11 INFO]: Minecraft Launcher 1.6.91 (through bootstrap 100) started on osx...
    [09:01:11 INFO]: Current time is Aug 10, 2020 9:01:11 AM
    [09:01:11 INFO]: System.getProperty('os.name') == 'Mac OS X'
    [09:01:11 INFO]: System.getProperty('os.version') == '10.15.6'
    [09:01:11 INFO]: System.getProperty('os.arch') == 'x86_64'
    [09:01:11 INFO]: System.getProperty('java.version') == '1.8.0_261'
    [09:01:11 INFO]: System.getProperty('java.vendor') == 'Oracle Corporation'
    [09:01:11 INFO]: System.getProperty('sun.arch.data.model') == '64'
    [09:01:11 INFO]: proxy == DIRECT
    [09:01:11 INFO]: JFX is already initialized
    [09:01:11 INFO]: Refreshing local version list...
    [09:01:11 INFO]: Refreshing remote version list...
    [09:01:12 INFO]: Refresh complete.
    [09:01:13 ERROR]: Unexpected exception refreshing profile list
    com.google.gson.JsonSyntaxException: duplicate key: null
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:190) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:145) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:803) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:768) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:717) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:689) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.RemoteVersionList.getCompleteVersion(RemoteVersionList.java:32) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:213) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:268) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:255) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:171) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:105) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.game.GameLaunchDispatcher.getStatus(GameLaunchDispatcher.java:35) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.checkState(PlayButtonPanel.java:94) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.onProfilesRefreshed(PlayButtonPanel.java:90) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.profile.ProfileManager.fireRefreshEvent(ProfileManager.java:100) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.profile.ProfileManager.loadProfiles(ProfileManager.java:88) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.Launcher$2.run(Launcher.java:183) [launcher.jar:1.6.91]
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_261]
    at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_261]
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_261]
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_261]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_261]
    [09:01:13 INFO]: Refreshing auth...
    [09:01:13 INFO]: Logging in with access token
    [09:01:13 FATAL]: Unhandled exception in thread Thread[AWT-EventQueue-0,6,main]
    com.google.gson.JsonSyntaxException: duplicate key: null
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:190) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:145) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:803) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:768) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:717) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:689) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.RemoteVersionList.getCompleteVersion(RemoteVersionList.java:32) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:213) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:268) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:255) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:171) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:105) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel.checkState(PlayerInfoPanel.java:96) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel$2.run(PlayerInfoPanel.java:78) ~[launcher.jar:1.6.91]
    at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311) ~[?:1.8.0_261]
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758) ~[?:1.8.0_261]
    at java.awt.EventQueue.access$500(EventQueue.java:97) ~[?:1.8.0_261]
    at java.awt.EventQueue$3.run(EventQueue.java:709) ~[?:1.8.0_261]
    at java.awt.EventQueue$3.run(EventQueue.java:703) ~[?:1.8.0_261]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_261]
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:74) ~[?:1.8.0_261]
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:728) ~[?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:205) [?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116) [?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105) [?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101) [?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93) [?:1.8.0_261]
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:82) [?:1.8.0_261]
    [09:01:13 ERROR]: Unhandled exception in executor com.mojang.launc[email protected]1f69207e
    java.util.concurrent.ExecutionException: com.google.gson.JsonSyntaxException: duplicate key: null
    at java.util.concurrent.FutureTask.report(FutureTask.java:122) ~[?:1.8.0_261]
    at java.util.concurrent.FutureTask.get(FutureTask.java:192) ~[?:1.8.0_261]
    at com.mojang.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask.done(ExceptionalThreadPoolExecutor.java:58) [launcher.jar:1.6.91]
    at java.util.concurrent.FutureTask.finishCompletion(FutureTask.java:384) [?:1.8.0_261]
    at java.util.concurrent.FutureTask.setException(FutureTask.java:251) [?:1.8.0_261]
    at java.util.concurrent.FutureTask.run(FutureTask.java:271) [?:1.8.0_261]
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_261]
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_261]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_261]
    Caused by: com.google.gson.JsonSyntaxException: duplicate key: null
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:190) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:145) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:803) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:768) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:717) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:689) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.RemoteVersionList.getCompleteVersion(RemoteVersionList.java:32) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:213) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:268) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:255) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:171) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:105) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.game.GameLaunchDispatcher.getStatus(GameLaunchDispatcher.java:35) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.checkState(PlayButtonPanel.java:94) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.onProfilesRefreshed(PlayButtonPanel.java:90) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.profile.ProfileManager.fireRefreshEvent(ProfileManager.java:100) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.Launcher.ensureLoggedIn(Launcher.java:265) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.Launcher$2.run(Launcher.java:213) ~[launcher.jar:1.6.91]
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) ~[?:1.8.0_261]
    at java.util.concurrent.FutureTask.run(FutureTask.java:266) ~[?:1.8.0_261]
    ... 3 more
    [09:01:13 FATAL]: Unhandled exception in thread Thread[AWT-EventQueue-0,6,main]
    com.google.gson.JsonSyntaxException: duplicate key: null
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:190) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:145) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93) ~[launcher.jar:1.6.91]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:803) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:768) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:717) ~[launcher.jar:1.6.91]
    at com.google.gson.Gson.fromJson(Gson.java:689) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.RemoteVersionList.getCompleteVersion(RemoteVersionList.java:32) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:213) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:268) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:255) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:171) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:105) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel.checkState(PlayerInfoPanel.java:96) ~[launcher.jar:1.6.91]
    at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel$2.run(PlayerInfoPanel.java:78) ~[launcher.jar:1.6.91]
    at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311) ~[?:1.8.0_261]
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758) ~[?:1.8.0_261]
    at java.awt.EventQueue.access$500(EventQueue.java:97) ~[?:1.8.0_261]
    at java.awt.EventQueue$3.run(EventQueue.java:709) ~[?:1.8.0_261]
    at java.awt.EventQueue$3.run(EventQueue.java:703) ~[?:1.8.0_261]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_261]
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:74) ~[?:1.8.0_261]
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:728) ~[?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:205) [?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116) [?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105) [?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101) [?:1.8.0_261]
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93) [?:1.8.0_261]
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:82) [?:1.8.0_261]
     
  7. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 482
    Points:
    229
    Sexe:
    Homme
    Il faudrait que tu mette à jour ton launcher, l'ancien launcher ne semble plus fonctionner.
     
  8. loupgabpower

    loupgabpower Nouveau

    Inscrit:
    1 Août 2020
    Messages:
    8
    Points:
    0
    Sexe:
    Homme
    Comment le mettre à jour?
     
  9. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 482
    Points:
    229
    Sexe:
    Homme
  10. loupgabpower

    loupgabpower Nouveau

    Inscrit:
    1 Août 2020
    Messages:
    8
    Points:
    0
    Sexe:
    Homme
    Ok je vais tester
     
  11. loupgabpower

    loupgabpower Nouveau

    Inscrit:
    1 Août 2020
    Messages:
    8
    Points:
    0
    Sexe:
    Homme
    Ca ne marche toujours pas c'est le launcher twich il le lance dans la version 1.6.91
     
  12. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 482
    Points:
    229
    Sexe:
    Homme
    Mais le launcher twich est sensé lancé le launcher de Minecraft ensuite :/ Et le problème c'est qu'il te lance une version complètement obsolète du launcher de Minecraft.

    Je ne vois pas quoi faire de plus.
     
  13. loupgabpower

    loupgabpower Nouveau

    Inscrit:
    1 Août 2020
    Messages:
    8
    Points:
    0
    Sexe:
    Homme
    Dans mes parémetre minecraft il est marqué qu'il lance non par le launcher originel mais par un autre mais vus que je suis sur Mac OS je ne sais pas comment faire
     
  14. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 482
    Points:
    229
    Sexe:
    Homme
    Je ne connais pas du tout MacOS non plus, donc je peux pas d'aider. Désolé.
     
  15. MalFlamme

    MalFlamme Nouveau

    Inscrit:
    16 Nov 2020
    Messages:
    1
    Points:
    0
    j'ai exactement la même chose
     

Partager cette page